import { ChartProvider, ChartType, XaxisType, YaxisType } from '@oneteme/jquery-core';
import * as i0 from "@angular/core";
export declare class ChartComponent<X extends XaxisType, Y extends YaxisType> {
    protected _charts: {
        [key: ChartType]: {
            possibleType: ChartType[];
            canPivot?: boolean;
        };
    };
    _type: ChartType;
    set value(type: ChartType);
    config: ChartProvider<X, Y>;
    data: any[];
    isLoading: boolean;
    debug: boolean;
    change(event: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartComponent<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartComponent<any, any>, "chart", never, { "value": { "alias": "type"; "required": true; }; "config": { "alias": "config"; "required": true; }; "data": { "alias": "data"; "required": true; }; "isLoading": { "alias": "isLoading"; "required": false; }; "debug": { "alias": "debug"; "required": false; }; }, {}, never, never, true, never>;
}
